Summary:        Full-featured POP/IMAP mail retrieval daemon
Name:           fetchmail
Version:        5.9.0
Release:        13ml
Group:          Applications/Internet
License:        GPL
Source:         http://www.tuxedo.org/~esr/fetchmail/fetchmail-%{version}.tar.gz
Source1:	fetchmailconf.1
Patch0:		fetchmail-configure.patch
Patch1:		fetchmail-5.9.0-oserror.patch
Patch2:		fetchmail-5.9.0-trusty.patch
Patch3: 	fetchmail-5.9.0-codebits.patch
URL:            http://www.tuxedo.org/~esr/fetchmail
%if !%{FHS}
Serial:         2002100901
%define _prefix         /usr
%define _sysconfdir     /etc
%define nokerberos 1
%endif
Requires:       smtpdaemon
BuildRoot:      %{_tmppath}/%{name}-%{version}-root
%if %{FHS}
BuildPrereq: openssl-devel
%{!?nokerberos:BuildPrereq: krb5-devel}
%endif


%description
Fetchmail is a free, full-featured, robust, and well-documented remote
mail retrieval and forwarding utility intended to be used over
on-demand TCP/IP links (such as SLIP or PPP connections).  It
retrieves mail from remote mail servers and forwards it to your local
(client) machine's delivery system, so it can then be be read by
normal mail user agents such as mutt, elm, pine, (x)emacs/gnus, or mailx.
Comes with an interactive GUI configurator suitable for end-users.


%package -n fetchmailconf
Summary:        A GUI configurator for generating fetchmail configuration files
Group:          Applications/Internet
%if !%{FHS}
Requires:       %{name} = %{version}, python
%else
Requires: python, tk, tkinter, fetchmail = %{version}-%{release}
%endif


%description -n fetchmailconf
A GUI configurator for generating fetchmail configuration file written in
python


%changelog
* Wed Oct 9 2002 Daisuke Tonoki <tonoki@miraclelinux.com>
- include patch to fix http://security.e-matters.de/advisories/032002.html

* Fri May 31 2002 Daisuke Tonoki <tonoki@miraclelinux.com>
- Update to 5.9.0 rebuild and CAN-2002-0146 fix with backpatch from 5.9.10

* Tue Jun 19 2001 Masaru Yokoi <masaru@turbolinux.co.jp>
- Up to version 5.8.7.

* Thu May 10 2001 Masaru Yokoi <masaru@turbolinux.co.jp>
- Up to version 5.8.2.

* Tue Apr 10 2001 Hirofumi Takeda <takepin@turbolinux.co.jp>
- Updated to 5.8.0.

* Mon Jan 29 2001 Maxime Froment <maxime@turbolinux.co.jp>
- fetchmailconf %%files section restored 
- cleaned up spec file

* Mon Jan 29 2001 Maxime Froment <maxime@turbolinux.co.jp>
- Fixed permissions for message maps

* Thu Dec 07 2000 Masaru Yokoi <masaru@turbolinux.co.jp>
- Updated to 5.6.0.

* Wed Nov 08 2000 Masaru Yokoi <masaru@turbolinux.co.jp>
- Updated to 5.5.5.

* Fri Oct 13 2000 Masaru Yokoi <masaru@turbolinux.co.jp>
- Updated to 5.5.4.

* Thu Jun 15 2000 Masaru Yokoi <masaru@turbolinux.co.jp>
- Updated to 5.4.1.

* Mon Apr 10 2000 Masaru Yokoi <masaru@turbolinux.co.jp>
- Updated to 5.3.6

* Thu Mar 09 2000 Masaru Yokoi <masaru@turbolinux.co.jp>
- Up to version 5.3.0 .

* Fri Jan 28 2000 Toshihiro Yamagishi <toshihiro@turbolinux.co.jp>
- up to version 5.2.4
- Comment out smtpdaemon require
- Add Serial

* Mon Oct 11 1999 Roger Luethi <rluethi@turbolinux.com>
- Upgrade to 5.1.0
- Got rid of rhs control-panel stuff
- Moved man pages from /usr/man to /usr/share/man

* Thu Aug 5 1999 Anh Vo <anhvo@turbolinux.com>
- Deleted Vendor, Distribution, and Packager tags
- Deleted multilanguage support
#-----------------------------------------------------------------
%prep
%setup -q
%patch0 -p1 -b .configure
%if !%{FHS}
%patch1 -p1 -b .oserror
rm -rf contrib/RCS
%endif
%patch2 -p1 -b .trusty
%patch3	-p1 -b .codebits
aclocal
autoconf

rm -rf ${RPM_BUILD_ROOT}



%build
%if %{FHS}
LIBS=-ldl; export LIBS
%configure --enable-POP3 --enable-IMAP --with-ssl=/usr \
        --enable-ETRN --enable-NTLM --enable-nls --enable-inet6 \
%{?nokerberos:--without-kerberos --without-kerberos5 --without-gssapi} \
%{!?nokerberos:--with-kerberos --with-kerberos5=/usr/kerberos --with-gssapi=/usr/kerberos}
%else
CFLAGS="${RPM_OPT_FLAGS}" LDFLAGS="-s" ./configure \
	--prefix=%{_prefix} \
	--mandir=%{_mandir} \
	--enable-nls
%endif
make


%install
rm -rf ${RPM_BUILD_ROOT}
%if %{FHS}
%makeinstall mandir=$RPM_BUILD_ROOT%{_mandir}/man1
rm -f $RPM_BUILD_ROOT%{_mandir}/man1/fetchmailconf.1*
install %{SOURCE1} $RPM_BUILD_ROOT%{_mandir}/man1/
%else
make DESTDIR=${RPM_BUILD_ROOT} install
%endif

%if %{FHS}
%find_lang %name
%endif

%if !%{FHS}
mkdir -p ${RPM_BUILD_ROOT}%{_sysconfdir}/X11/wmconfig
cp rh-config/fetchmailconf.wmconfig \
	${RPM_BUILD_ROOT}%{_sysconfdir}/X11/wmconfig/fetchmailconf

gzip -9nf ${RPM_BUILD_ROOT}%{_mandir}/man1/fetchmail.1
rm -rf ${RPM_BUILD_ROOT}%{_mandir}/man1/fetchmailconf.1
ln -sf fetchmail.1.gz ${RPM_BUILD_ROOT}%{_mandir}/man1/fetchmailconf.1.gz
%endif


%clean
rm -rf ${RPM_BUILD_ROOT}

%if %{FHS}
%files -f %{name}.lang
%defattr(-,root,root)
%doc FEATURES README NEWS NOTES *.html FAQ COPYING INSTALL
%{_bindir}/fetchmail
%{_mandir}/man1/fetchmail.1*
%else
%files
%defattr(644,root,root,755)
%doc ABOUT-NLS COPYING FAQ FEATURES INSTALL MANIFEST NEWS NOTES README
%doc sample.rcfile
%doc fetchmail-features.html fetchmail-FAQ.html design-notes.html
%doc contrib 
%defattr(-,root,root)
%{_datadir}/locale/*/LC_MESSAGES/fetchmail.mo
%{_sysconfdir}/X11/wmconfig/fetchmailconf
%{_mandir}/man1/fetchmail.1*
%{_bindir}/fetchmail
%endif


%files -n fetchmailconf
%defattr(-,root,root)
%{_bindir}/fetchmailconf
%{_mandir}/man1/fetchmailconf.1*
